Changeset 3803

Show
Ignore:
Timestamp:
09/05/06 01:52:30 (8 years ago)
Author:
rhys
Message:

Added dv decoding to vic. Untested.
To enable, configure with --enable-dvdecode.

Location:
vic/trunk
Files:
1 added
2 modified

Legend:

Unmodified
Added
Removed
  • vic/trunk/configure

    r3795 r3803  
    310310#endif" 
    311311 
    312 ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os host host_cpu host_vendor host_os target target_cpu target_vendor target_os CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT CXX CXXFLAGS ac_ct_CXX CPP EGREP V_INCLUDE_X11 V_LIB_X11 V_INCLUDE_TCL V_LIB_TCL V_LIBRARY_TCL V_TKDOSNAMES V_INCLUDE_TK V_LIB_TK V_LIBRARY_TK V_INCLUDE_GRABBER V_LIB_GRABBER V_OBJ_GRABBER V_LIB_XIL V_OBJ_XIL V_OBJ V_STATIC V_TAR_TARGET V_ALL V_CCOPT V_CCOPT_H261 V_TAR_EXTRA V_LIB V_DEFINE V_SIGRET V_SHELL V_TARCMD V_INCLUDE V_BROKEN_OBJ V_OBJ_CRYPT LIBOBJS LTLIBOBJS' 
     312ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os host host_cpu host_vendor host_os target target_cpu target_vendor target_os CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT CXX CXXFLAGS ac_ct_CXX CPP EGREP V_INCLUDE_X11 V_LIB_X11 V_INCLUDE_TCL V_LIB_TCL V_LIBRARY_TCL V_TKDOSNAMES V_INCLUDE_TK V_LIB_TK V_LIBRARY_TK V_INCLUDE_GRABBER V_LIB_GRABBER V_OBJ_GRABBER V_LIB_XIL V_OBJ_XIL V_OBJ V_LIB V_STATIC V_TAR_TARGET V_ALL V_CCOPT V_CCOPT_H261 V_TAR_EXTRA V_DEFINE V_SIGRET V_SHELL V_TARCMD V_INCLUDE V_BROKEN_OBJ V_OBJ_CRYPT LIBOBJS LTLIBOBJS' 
    313313ac_subst_files='' 
    314314 
     
    856856--enable-debug          build with debugging enabled 
    857857--enable-ipv6           build with ipv6 enabled 
    858 --enable-h261as    Enable or disable the h261as codec 
     858--enable-h261as         Enable or disable the h261as codec 
     859--enable-dvdecode       Enable or disable dv decoding 
    859860--enable-v4l2old    Enable or disable old Video4Linux2 grabber 
    860861--enable-XvGrabber    Enable or disable old XvGrabber 
     
    13241325V_ALL="$V_PROG" 
    13251326V_SHM="-DUSE_SHM" 
     1327 
     1328V_OBJ="" 
     1329V_LIB="" 
    13261330 
    13271331 
     
    44894493fi 
    44904494 
    4491 V_OBJ="" 
    44924495V_H261AS="" 
    44934496 
     
    45024505   V_OBJ="$V_OBJ codec/p64/p64as.o codec/decoder-h261as.o codec/encoder-h261as.o" 
    45034506   V_H261AS="-DUSE_H261AS" 
     4507fi 
     4508 
     4509V_DV="" 
     4510# Check whether --enable-dvdecode or --disable-dvdecode was given. 
     4511if test "${enable_dvdecode+set}" = set; then 
     4512  enableval="$enable_dvdecode" 
     4513  dvdecode=yes 
     4514else 
     4515  dvdecode=no 
     4516fi; 
     4517if test "$dvdecode" = "yes"; then 
     4518 
     4519echo "$as_me:$LINENO: checking for main in -ldv" >&5 
     4520echo $ECHO_N "checking for main in -ldv... $ECHO_C" >&6 
     4521if test "${ac_cv_lib_dv_main+set}" = set; then 
     4522  echo $ECHO_N "(cached) $ECHO_C" >&6 
     4523else 
     4524  ac_check_lib_save_LIBS=$LIBS 
     4525LIBS="-ldv  $LIBS" 
     4526cat >conftest.$ac_ext <<_ACEOF 
     4527/* confdefs.h.  */ 
     4528_ACEOF 
     4529cat confdefs.h >>conftest.$ac_ext 
     4530cat >>conftest.$ac_ext <<_ACEOF 
     4531/* end confdefs.h.  */ 
     4532 
     4533 
     4534int 
     4535main () 
     4536{ 
     4537main (); 
     4538  ; 
     4539  return 0; 
     4540} 
     4541_ACEOF 
     4542rm -f conftest.$ac_objext conftest$ac_exeext 
     4543if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5 
     4544  (eval $ac_link) 2>conftest.er1 
     4545  ac_status=$? 
     4546  grep -v '^ *+' conftest.er1 >conftest.err 
     4547  rm -f conftest.er1 
     4548  cat conftest.err >&5 
     4549  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
     4550  (exit $ac_status); } && 
     4551         { ac_try='test -z "$ac_c_werror_flag" 
     4552                         || test ! -s conftest.err' 
     4553  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 
     4554  (eval $ac_try) 2>&5 
     4555  ac_status=$? 
     4556  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
     4557  (exit $ac_status); }; } && 
     4558         { ac_try='test -s conftest$ac_exeext' 
     4559  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 
     4560  (eval $ac_try) 2>&5 
     4561  ac_status=$? 
     4562  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
     4563  (exit $ac_status); }; }; then 
     4564  ac_cv_lib_dv_main=yes 
     4565else 
     4566  echo "$as_me: failed program was:" >&5 
     4567sed 's/^/| /' conftest.$ac_ext >&5 
     4568 
     4569ac_cv_lib_dv_main=no 
     4570fi 
     4571rm -f conftest.err conftest.$ac_objext \ 
     4572      conftest$ac_exeext conftest.$ac_ext 
     4573LIBS=$ac_check_lib_save_LIBS 
     4574fi 
     4575echo "$as_me:$LINENO: result: $ac_cv_lib_dv_main" >&5 
     4576echo "${ECHO_T}$ac_cv_lib_dv_main" >&6 
     4577if test $ac_cv_lib_dv_main = yes; then 
     4578  cat >>confdefs.h <<_ACEOF 
     4579#define HAVE_LIBDV 1 
     4580_ACEOF 
     4581 
     4582  LIBS="-ldv $LIBS" 
     4583 
     4584else 
     4585 
     4586      echo "Error! libdv not available. Please install libdv." 
     4587      exit 1 
     4588 
     4589fi 
     4590 
     4591 
     4592for ac_header in libdv/dv.h 
     4593do 
     4594as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh` 
     4595if eval "test \"\${$as_ac_Header+set}\" = set"; then 
     4596  echo "$as_me:$LINENO: checking for $ac_header" >&5 
     4597echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6 
     4598if eval "test \"\${$as_ac_Header+set}\" = set"; then 
     4599  echo $ECHO_N "(cached) $ECHO_C" >&6 
     4600fi 
     4601echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5 
     4602echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6 
     4603else 
     4604  # Is the header compilable? 
     4605echo "$as_me:$LINENO: checking $ac_header usability" >&5 
     4606echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6 
     4607cat >conftest.$ac_ext <<_ACEOF 
     4608/* confdefs.h.  */ 
     4609_ACEOF 
     4610cat confdefs.h >>conftest.$ac_ext 
     4611cat >>conftest.$ac_ext <<_ACEOF 
     4612/* end confdefs.h.  */ 
     4613$ac_includes_default 
     4614#include <$ac_header> 
     4615_ACEOF 
     4616rm -f conftest.$ac_objext 
     4617if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5 
     4618  (eval $ac_compile) 2>conftest.er1 
     4619  ac_status=$? 
     4620  grep -v '^ *+' conftest.er1 >conftest.err 
     4621  rm -f conftest.er1 
     4622  cat conftest.err >&5 
     4623  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
     4624  (exit $ac_status); } && 
     4625         { ac_try='test -z "$ac_c_werror_flag" 
     4626                         || test ! -s conftest.err' 
     4627  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 
     4628  (eval $ac_try) 2>&5 
     4629  ac_status=$? 
     4630  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
     4631  (exit $ac_status); }; } && 
     4632         { ac_try='test -s conftest.$ac_objext' 
     4633  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 
     4634  (eval $ac_try) 2>&5 
     4635  ac_status=$? 
     4636  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
     4637  (exit $ac_status); }; }; then 
     4638  ac_header_compiler=yes 
     4639else 
     4640  echo "$as_me: failed program was:" >&5 
     4641sed 's/^/| /' conftest.$ac_ext >&5 
     4642 
     4643ac_header_compiler=no 
     4644fi 
     4645rm -f conftest.err conftest.$ac_objext conftest.$ac_ext 
     4646echo "$as_me:$LINENO: result: $ac_header_compiler" >&5 
     4647echo "${ECHO_T}$ac_header_compiler" >&6 
     4648 
     4649# Is the header present? 
     4650echo "$as_me:$LINENO: checking $ac_header presence" >&5 
     4651echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6 
     4652cat >conftest.$ac_ext <<_ACEOF 
     4653/* confdefs.h.  */ 
     4654_ACEOF 
     4655cat confdefs.h >>conftest.$ac_ext 
     4656cat >>conftest.$ac_ext <<_ACEOF 
     4657/* end confdefs.h.  */ 
     4658#include <$ac_header> 
     4659_ACEOF 
     4660if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5 
     4661  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1 
     4662  ac_status=$? 
     4663  grep -v '^ *+' conftest.er1 >conftest.err 
     4664  rm -f conftest.er1 
     4665  cat conftest.err >&5 
     4666  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
     4667  (exit $ac_status); } >/dev/null; then 
     4668  if test -s conftest.err; then 
     4669    ac_cpp_err=$ac_c_preproc_warn_flag 
     4670    ac_cpp_err=$ac_cpp_err$ac_c_werror_flag 
     4671  else 
     4672    ac_cpp_err= 
     4673  fi 
     4674else 
     4675  ac_cpp_err=yes 
     4676fi 
     4677if test -z "$ac_cpp_err"; then 
     4678  ac_header_preproc=yes 
     4679else 
     4680  echo "$as_me: failed program was:" >&5 
     4681sed 's/^/| /' conftest.$ac_ext >&5 
     4682 
     4683  ac_header_preproc=no 
     4684fi 
     4685rm -f conftest.err conftest.$ac_ext 
     4686echo "$as_me:$LINENO: result: $ac_header_preproc" >&5 
     4687echo "${ECHO_T}$ac_header_preproc" >&6 
     4688 
     4689# So?  What about this header? 
     4690case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in 
     4691  yes:no: ) 
     4692    { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5 
     4693echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;} 
     4694    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5 
     4695echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;} 
     4696    ac_header_preproc=yes 
     4697    ;; 
     4698  no:yes:* ) 
     4699    { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5 
     4700echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;} 
     4701    { echo "$as_me:$LINENO: WARNING: $ac_header:     check for missing prerequisite headers?" >&5 
     4702echo "$as_me: WARNING: $ac_header:     check for missing prerequisite headers?" >&2;} 
     4703    { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5 
     4704echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;} 
     4705    { echo "$as_me:$LINENO: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&5 
     4706echo "$as_me: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&2;} 
     4707    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5 
     4708echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;} 
     4709    { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5 
     4710echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;} 
     4711    ( 
     4712      cat <<\_ASBOX 
     4713## ------------------------------------------ ## 
     4714## Report this to the AC_PACKAGE_NAME lists.  ## 
     4715## ------------------------------------------ ## 
     4716_ASBOX 
     4717    ) | 
     4718      sed "s/^/$as_me: WARNING:     /" >&2 
     4719    ;; 
     4720esac 
     4721echo "$as_me:$LINENO: checking for $ac_header" >&5 
     4722echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6 
     4723if eval "test \"\${$as_ac_Header+set}\" = set"; then 
     4724  echo $ECHO_N "(cached) $ECHO_C" >&6 
     4725else 
     4726  eval "$as_ac_Header=\$ac_header_preproc" 
     4727fi 
     4728echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5 
     4729echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6 
     4730 
     4731fi 
     4732if test `eval echo '${'$as_ac_Header'}'` = yes; then 
     4733  cat >>confdefs.h <<_ACEOF 
     4734#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1 
     4735_ACEOF 
     4736 
     4737else 
     4738 
     4739      echo "Error! libdv/dv.h not found. Please install libdv developer package." 
     4740      exit 1 
     4741 
     4742fi 
     4743 
     4744done 
     4745 
     4746   V_OBJ="$V_OBJ codec/decoder-dv.o" 
     4747   V_DV="-DUSE_DVDECODER" 
     4748   V_LIB="$V_LIB -ldv" 
    45044749fi 
    45054750 
     
    48395084 
    48405085 
    4841 V_DEFINE="$V_DEFINE $V_SHM $V_H261AS" 
     5086 
     5087V_DEFINE="$V_DEFINE $V_SHM $V_H261AS $V_DV" 
    48425088 
    48435089 
     
    57275973s,@V_OBJ_XIL@,$V_OBJ_XIL,;t t 
    57285974s,@V_OBJ@,$V_OBJ,;t t 
     5975s,@V_LIB@,$V_LIB,;t t 
    57295976s,@V_STATIC@,$V_STATIC,;t t 
    57305977s,@V_TAR_TARGET@,$V_TAR_TARGET,;t t 
     
    57335980s,@V_CCOPT_H261@,$V_CCOPT_H261,;t t 
    57345981s,@V_TAR_EXTRA@,$V_TAR_EXTRA,;t t 
    5735 s,@V_LIB@,$V_LIB,;t t 
    57365982s,@V_DEFINE@,$V_DEFINE,;t t 
    57375983s,@V_SIGRET@,$V_SIGRET,;t t 
  • vic/trunk/configure.in

    r3795 r3803  
    77V_ALL="$V_PROG" 
    88V_SHM="-DUSE_SHM" 
     9 
     10V_OBJ="" 
     11V_LIB="" 
    912 
    1013builtin(include, configure.in.head) 
     
    3033fi 
    3134 
    32 V_OBJ="" 
    3335V_H261AS="" 
    3436 
    3537dnl h261 as (arbitrary size)  
    36 AC_ARG_ENABLE(h261as, --enable-h261as    Enable or disable the h261as codec, h261as=yes, h261as=no) 
     38AC_ARG_ENABLE(h261as, --enable-h261as         Enable or disable the h261as codec, h261as=yes, h261as=no) 
    3739if test "$h261as" = "yes"; then 
    3840   V_OBJ="$V_OBJ codec/p64/p64as.o codec/decoder-h261as.o codec/encoder-h261as.o" 
    3941   V_H261AS="-DUSE_H261AS" 
     42fi 
     43 
     44V_DV="" 
     45dnl dv decoding support 
     46AC_ARG_ENABLE(dvdecode, --enable-dvdecode       Enable or disable dv decoding, dvdecode=yes, dvdecode=no) 
     47if test "$dvdecode" = "yes"; then 
     48   AC_CHECK_LIB([dv], [main], [], [ 
     49      echo "Error! libdv not available. Please install libdv." 
     50      exit 1 
     51      ]) 
     52   AC_CHECK_HEADERS([libdv/dv.h], [], [ 
     53      echo "Error! libdv/dv.h not found. Please install libdv developer package." 
     54      exit 1 
     55      ]) 
     56   V_OBJ="$V_OBJ codec/decoder-dv.o" 
     57   V_DV="-DUSE_DVDECODER" 
     58   V_LIB="$V_LIB -ldv" 
    4059fi 
    4160 
     
    363382AC_SUBST(V_OBJ_XIL) 
    364383AC_SUBST(V_OBJ) 
    365  
    366 V_DEFINE="$V_DEFINE $V_SHM $V_H261AS" 
     384AC_SUBST(V_LIB) 
     385 
     386V_DEFINE="$V_DEFINE $V_SHM $V_H261AS $V_DV" 
    367387 
    368388builtin(include, configure.in.tail)